# intro_gui.cpp File Reference

The main menu GUI. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "gui.h"`
`#include "window_gui.h"`
`#include "textbuf_gui.h"`
`#include "network/network.h"`
`#include "genworld.h"`
`#include "network/network_gui.h"`
`#include "network/network_content.h"`
`#include "landscape_type.h"`
`#include "strings_func.h"`
`#include "window_func.h"`
`#include "fios.h"`
`#include "functions.h"`
`#include "ai/ai_gui.hpp"`
`#include "gfx_func.h"`
`#include "core/geometry_func.hpp"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Data Structures
struct | SelectGameWindow
## Enumerations
enum | SelectGameIntroWidgets { SGI_GENERATE_GAME, SGI_LOAD_GAME, SGI_PLAY_SCENARIO, SGI_PLAY_HEIGHTMAP, SGI_EDIT_SCENARIO, SGI_PLAY_NETWORK, SGI_TEMPERATE_LANDSCAPE, SGI_ARCTIC_LANDSCAPE, SGI_TROPIC_LANDSCAPE, SGI_TOYLAND_LANDSCAPE, SGI_OPTIONS, SGI_DIFFICULTIES, SGI_SETTINGS_OPTIONS, SGI_GRF_SETTINGS, SGI_CONTENT_DOWNLOAD, SGI_AI_SETTINGS, SGI_EXIT }
## Functions
static void | SetNewLandscapeType (byte landscape)
void | ShowSelectGameWindow ()
static void | AskExitGameCallback (Window *w, bool confirmed)
void | AskExitGame ()
static void | AskExitToGameMenuCallback (Window *w, bool confirmed)
void | AskExitToGameMenu ()
## Variables
static const NWidgetPart | _nested_select_game_widgets []
static const WindowDesc | _select_game_desc (WDP_CENTER, 0, 0, WC_SELECT_GAME, WC_NONE, WDF_UNCLICK_BUTTONS, _nested_select_game_widgets, lengthof(_nested_select_game_widgets))

## Detailed Description

The main menu GUI.

Definition in file intro_gui.cpp.